OGRE-Next: Ogre::FileSystemArchiveFactory Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Ogre::FileSystemArchiveFactory Class Referencefinal
Core » Resources

Specialisation of ArchiveFactory for FileSystem files. More...

`#include <OgreFileSystem.h>`

Inheritance diagram for Ogre::FileSystemArchiveFactory:
[legend]

## Public Member Functions
| ~FileSystemArchiveFactory () override
Archive * | createInstance (const String &name, bool readOnly) override
| Creates a new object.
void | destroyInstance (Archive *ptr) override
| Destroys an object which was created by this factory.
const String & | getType () const override
| Returns the factory type.
Public Member Functions inherited from Ogre::ArchiveFactory
| ~ArchiveFactory () override
virtual void | convertPath (String &inOutPath) const
| Some implementations (i.e.
Archive * | createInstance (const String &name) override
| Creates a new object.
Public Member Functions inherited from Ogre::FactoryObj< Archive >
virtual | ~FactoryObj ()

## Detailed Description

Specialisation of ArchiveFactory for FileSystem files.

## Constructor & Destructor Documentation

## ◆ ~FileSystemArchiveFactory()

Ogre::FileSystemArchiveFactory::~FileSystemArchiveFactory | ( |  | ) |
| inlineoverride

## Member Function Documentation

## ◆ createInstance()

Archive * Ogre::FileSystemArchiveFactory::createInstance | ( | const String & | name,
|  | bool | readOnly )
| inlineoverridevirtual

Creates a new object.

Parameters

  name | Name of the object to create

Returns
  An object created by the factory. The type of the object depends on the factory.

Implements Ogre::ArchiveFactory.

References OGRE_NEW.

## ◆ destroyInstance()

void Ogre::FileSystemArchiveFactory::destroyInstance | ( | Archive * | ptr | ) |
| inlineoverridevirtual

Destroys an object which was created by this factory.

Parameters

  ptr | Pointer to the object to destroy

Implements Ogre::FactoryObj< Archive >.

References OGRE_DELETE.

## ◆ getType()

const String & Ogre::FileSystemArchiveFactory::getType | ( |  | ) | const
| overridevirtual

Returns the factory type.

Returns
  The factory type.

Implements Ogre::FactoryObj< Archive >.

The documentation for this class was generated from the following file:

- OgreFileSystem.h